import { createI18n } from 'vue-i18n'
import { useCookies } from '@vueuse/integrations/useCookies'
import defaultSettings from '@/settings'
const cookies = useCookies()
// 本地语言包
// tm('key') 取ref对象 再用toRaw转换成普通对象
// t('key.target')取值
import enLocale from './package/en'
import zhCnLocale from './package/zh-cn'
const messages = {
  'zh-cn': {
    ...zhCnLocale
  },
  'en-us': {
    ...enLocale
  }
}

let lang = cookies.get('locale')
if (!lang) {
  lang = defaultSettings.language
  cookies.set('locale', defaultSettings.language, { path: '/' })
}

const i18n = createI18n({
  legacy: false,
  locale: lang,
  messages: messages,
  globalInjection: true
})

export default i18n
