import { defineStore } from 'pinia'
import { AxiosWrapper } from '@/utils/axios-wrapper'
const url = '/statistics'
const axios = new AxiosWrapper()

export const StatisticsStore = defineStore('statistics', () => {
  const work = async ({ skip = 0, limit = undefined, ...info } = {}) => {
    let cond = {}
    if (skip) cond.skip = skip
    if (limit) cond.limit = limit
    cond = { ...cond, ...info }
    const res = await axios.$get(`${url}/work`, cond)
    return res
  }
  const user = async ({ skip = 0, limit = undefined, ...info } = {}) => {
    let cond = {}
    if (skip) cond.skip = skip
    if (limit) cond.limit = limit
    cond = { ...cond, ...info }
    const res = await axios.$get(`${url}/user`, cond)
    return res
  }
  const resource = async ({ skip = 0, limit = undefined, ...info } = {}) => {
    let cond = {}
    if (skip) cond.skip = skip
    if (limit) cond.limit = limit
    cond = { ...cond, ...info }
    const res = await axios.$get(`${url}/resource`, cond)
    return res
  }
  const natural = async (payload) => {
    const res = await axios.$get(`${url}/natural`, payload)
    return res
  }
  const task = async (payload) => {
    const res = await axios.$get(`${url}/task`, payload)
    return res
  }
  const total = async (payload) => {
    const res = await axios.$get(`${url}/total`, payload)
    return res
  }
  const echarts1 = async (payload) => {
    const res = await axios.$get(`${url}/echarts1`, payload)
    return res
  }
  const echarts2 = async (payload) => {
    const res = await axios.$get(`${url}/echarts2`, payload)
    return res
  }
  const echarts3 = async (payload) => {
    const res = await axios.$get(`${url}/echarts3`, payload)
    return res
  }
  const echarts4 = async (payload) => {
    const res = await axios.$get(`${url}/echarts4`, payload)
    return res
  }
  const echarts5 = async (payload) => {
    const res = await axios.$get(`${url}/echarts5`, payload)
    return res
  }
  const echarts6 = async (payload) => {
    const res = await axios.$get(`${url}/echarts6`, payload)
    return res
  }
  const echarts7 = async (payload) => {
    const res = await axios.$get(`${url}/echarts7`, payload)
    return res
  }
  return { echarts1, echarts2, echarts3, echarts4, echarts5, echarts6, echarts7, total, task, natural, work, user, resource }
})
